Functions related to the containers

## Functions

trace_return_t | addContType (const char *alias, const char *contType, const char *name)
| Add a Container Type.
trace_return_t | addContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
| Add a Container.
trace_return_t | destroyContainer (varPrec time, const char *name, const char *type)
| Destroy a Container.
trace_return_t | AddComment (const char *comment)
| Add some Comment in Trace file.

## Detailed Description

## Function Documentation

## AddComment()

trace_return_t AddComment | ( | const char * | comment | ) |

Add some Comment in Trace file.

Parameters

  comment | Comment to be added

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## addContainer()

trace_return_t addContainer | ( | varPrec | time,
|  | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name,
|  | const char * | file )

Add a Container.

Parameters

  time | Time at which the container is added
  alias | Alias of the new container
  type | Type of the new container
  container | Container parent
  name | Alternative name of the variable type
  file | File containing the container for vite format. Use "0" or "" chains for other formats.

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## addContType()

trace_return_t addContType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name )

Add a Container Type.

Parameters

  alias | Alias on the container added
  contType | Type of the parent container
  name | Alternative name of the new container type

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## destroyContainer()

trace_return_t destroyContainer | ( | varPrec | time,
|  | const char * | name,
|  | const char * | type )

Destroy a Container.

Parameters

  time | Time at which the container is destroyed
  name | Name of the container
  type | Type of the container

Returns
  TRACE_SUCCESS on success
  An error code otherwise